Boomi Data Integration API Reference (1.0.0) - Operations
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get Operation Status
Authorization scope: operations:list
For a given asynchronous operation ID, the endpoint returns its status.
📖 Instructions for usage
activate_data_flow, get_operation
activate_data_flow
Activate (schedule) a data flow so it runs on its configured schedule.
Set wait=True to block until activation completes or fails — eliminates
the need to manually call get_operation in a loop.
Returns the final operation status when wait=True.
get_operation
Get an activation/validation operation by its operation_id (24-char hex).
This is for activate_river / validate operations only.
For data run status, use get_run instead.
Authorizations:
path Parameters
| operation_id required | string (Operation Id) |
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
Responses
Response Schema: application/json
| operation_id required | string (Operation Id) The ID of the operation |
| operation_type required | string (Operation Type) The type of the operation |
| run_id required | string (Run Id) The run id of the operation |
| last_update_date required | string <date-time> (Last Update Date) The date time in UTC timezone of the last update |
| status required | string (PullRequestStatus) Enum: "W" "E" "R" "D" The current status of the operation id |
Result (any) or Result (null) (Result) The result of the operation | |
Error Message (string) or Error Message (null) (Error Message) The error message of the operation |
Response samples
- 200
- 422
{- "operation_id": "62e7f4352c13160013dc39be",
- "operation_type": "dataframe",
- "run_id": "5cbc6bbbc90a4658b00c70a3bb0f3b31",
- "last_update_date": "2022-08-02T13:38:44.054000",
- "status": "D",
- "result": "true",
- "error_message": "[RVR-QBK-003]: Response value error: Missing Rows/Columns"
}Cancel Running Pull Request
Authorization scope: data flow:write
This endpoint cancels a specific run if run_id is provided or multiple runs if run_group_id is provided.
Authorizations:
path Parameters
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
| pull_request_id required | string (Pull Request Id) |
Responses
Response samples
- 202
- 422
{- "operation_id": "62e7f4352c13160013dc39be",
- "operation_type": "dataframe",
- "run_id": "5cbc6bbbc90a4658b00c70a3bb0f3b31",
- "last_update_date": "2022-08-02T13:38:44.054000",
- "status": "D",
- "result": "true",
- "error_message": "[RVR-QBK-003]: Response value error: Missing Rows/Columns"
}Get Operation Status
Authorization scope: operations:list
For a given asynchronous operation ID, the endpoint returns its status.
📖 Instructions for usage
activate_data_flow, get_operation
activate_data_flow
Activate (schedule) a data flow so it runs on its configured schedule.
Set wait=True to block until activation completes or fails — eliminates
the need to manually call get_operation in a loop.
Returns the final operation status when wait=True.
get_operation
Get an activation/validation operation by its operation_id (24-char hex).
This is for activate_river / validate operations only.
For data run status, use get_run instead.
Authorizations:
path Parameters
| operation_id required | string (Operation Id) |
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
Responses
Response Schema: application/json
| operation_id required | string (Operation Id) The ID of the operation |
| operation_type required | string (Operation Type) The type of the operation |
| run_id required | string (Run Id) The run id of the operation |
| last_update_date required | string <date-time> (Last Update Date) The date time in UTC timezone of the last update |
| status required | string (PullRequestStatus) Enum: "W" "E" "R" "D" The current status of the operation id |
Result (any) or Result (null) (Result) The result of the operation | |
Error Message (string) or Error Message (null) (Error Message) The error message of the operation |
Response samples
- 200
- 422
{- "operation_id": "62e7f4352c13160013dc39be",
- "operation_type": "dataframe",
- "run_id": "5cbc6bbbc90a4658b00c70a3bb0f3b31",
- "last_update_date": "2022-08-02T13:38:44.054000",
- "status": "D",
- "result": "true",
- "error_message": "[RVR-QBK-003]: Response value error: Missing Rows/Columns"
}